#include <stdio.h>
#include <system.h>
#include <inttypes.h>

#include "../device_test.h"
#include "../test_task.h"
#include "../../../software/signal_processing/system/binding.h"
#include "../../software/signal_processing/system/task_sine.h"
#include "../../data/cosine.h"

int main()
{
    device_test( test_task, BINDING_SW, & COSINE_CONFIG, NULL, NULL, expected_cosine, 5e-2 );
    return 0;
}

